de.esprit.appsuite.project

## Class AbstractProjectResource

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.SimpleLogSupportAdapter
    - - de.esprit.appsuite.project.AbstractProjectResource

- All Implemented Interfaces:
    SimpleLogSupport, Dumpable
  Direct Known Subclasses:
    AppSuiteResource, NetSuiteResource

      public abstract class AbstractProjectResource
      extends SimpleLogSupportAdapter

  This class collects all defined resource files of this project. It provides an existence check for each resource for testing purposes.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProjectResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(ResourceDef... resources)`
    `void` | `checkResourceFiles()` Runs a check whether all resources actually exist as a file

    - ### Methods inherited from class de.esprit.common.log.SimpleLogSupportAdapter

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractProjectResource

          public AbstractProjectResource()

  - ### Method Detail

    - #### add

          public final void add(ResourceDef... resources)

    - #### checkResourceFiles

          public void checkResourceFiles()
                                  throws java.lang.Exception

      Runs a check whether all resources actually exist as a file
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.